[arch-commits] Commit in vim-workspace/trunk (PKGBUILD vimdoc.install)

Eric Bélanger eric at archlinux.org
Sun Apr 19 22:27:40 EDT 2009


    Date: Sunday, April 19, 2009 @ 22:27:40
  Author: eric
Revision: 36117

upgpkg: vim-workspace 1.0b1-2
    Added license, Added unzip makedepends

Modified:
  vim-workspace/trunk/PKGBUILD
  vim-workspace/trunk/vimdoc.install

----------------+
 PKGBUILD       |   15 +++++++--------
 vimdoc.install |    5 -----
 2 files changed, 7 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-20 02:25:39 UTC (rev 36116)
+++ PKGBUILD	2009-04-20 02:27:40 UTC (rev 36117)
@@ -4,11 +4,13 @@
 pkgname=vim-workspace
 pkgver=1.0b1
 _scriptid=4812
-pkgrel=1
+pkgrel=2
 pkgdesc="vim workspace manager plugin for managing groups of files "
 arch=(i686 x86_64)
 url="http://www.vim.org/scripts/script.php?script_id=1410"
-depends=(vim)
+license=('unknown')
+depends=('vim')
+makedepends=('unzip')
 groups=('vim-plugins')
 install=vimdoc.install
 source=(http://www.vim.org/scripts/download_script.php?src_id=$_scriptid)
@@ -16,13 +18,10 @@
 
 build()
 {
-  cd $startdir/src
+  cd $srcdir
   mv download_script.php?src_id=$_scriptid workspace_1b1.zip
   unzip -qqo workspace_1b1.zip
 
-  mkdir -p $startdir/pkg/usr/share/vim/doc
-  install -m644 doc/workspace.txt $startdir/pkg/usr/share/vim/doc
-
-  mkdir -p $startdir/pkg/usr/share/vim/plugin
-  install -m644 plugin/workspace.vim $startdir/pkg/usr/share/vim/plugin
+  install -D -m644 doc/workspace.txt $pkgdir/usr/share/vim/doc/workspace.txt || return 1
+  install -D -m644 plugin/workspace.vim $pkgdir/usr/share/vim/plugin/workspace.vim || return 1
 }

Modified: vimdoc.install
===================================================================
--- vimdoc.install	2009-04-20 02:25:39 UTC (rev 36116)
+++ vimdoc.install	2009-04-20 02:27:40 UTC (rev 36117)
@@ -12,8 +12,3 @@
 post_remove() {
   post_install
 }
-
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list